<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
                                          Faça um algoritmo que retorne se um palavra é anagram da outra
                                         */
        function isAnagram(a, b) {
            textoA = a.toLowerCase().split('').sort().join('');
            textoB = b.toLowerCase().split('').sort().join('');

            if (textoA == textoB) {
                return true
            } else {
                return false
            }
        }

        //
        //toLowerCase = vai deixar as letras em Minúscula
        //split = vai dividir os itens ex: (f, o , e, f, e, t)
        //sort = vai organizar os itens Ex: (e , e , f, f, o, o, t, t)
        //join = vai juntar os itens Ex: ("eeffoott")
        // (textoA == textoB) => vai checar se um é igual ao outro, se for é true, se não for é false.

        //
        // MENSAGEM PARA O AVALIADOR: esse desafio é sacanagem para iniciante
        //obs: não me expulsa porfavor =(
        //

        //
        // Resultados esperados
        console.log(isAnagram("foefet", "toffee")) // true
        console.log(isAnagram("Buckethead", "DeathCubeK")) // true
        console.log(isAnagram("Twoo", "WooT")) // true

        console.log(isAnagram("dumble", "bumble")) // false
        console.log(isAnagram("ound", "round")) // false
        console.log(isAnagram("apple", "pale")) // false
    </script>
</body>

</html>